// @ts-ignore

/* eslint-disable */
import { defaultActionRender } from '@ant-design/pro-utils/lib/useEditableArray';
import { request } from 'umi';

export default {
  /** 获取会员标签信息  sdsa GET /kitchen/api/rule */
  memberTagList(data) {
    return request(`/kitchen/api/member-tag/member-tag`, {
      method: 'POST',
      data: data,
      // params: { ...params },
      // ...(options || {}),
    });
  },
  /** 新建会员标签信息 POST /kitchen/api/rule */
  addMemberTag(data) {
    // http://localhost:7002
    return request(`/kitchen/api/member-tag`, {
      method: 'POST',
      // type:'json',
      data: data,
      // ...(options || {}),
    });
  },
  /** 修改会员标签信息 POST /kitchen/api/rule */
  updateMemberTag(data) {
    // http://localhost:7002
    return request(`/kitchen/api/member-tag`, {
      method: 'PUT',
      // type:'json',
      data: data,
      // ...(options || {}),
    });
  },
  /** 删除会员标签信息 POST /kitchen/api/rule */
  removeMemberTag(data) {
    return request(`/kitchen/api/member-tag`, {
      method: 'DELETE',
      data: data,
      // ...(options || {}),
    });
  },
  /** 获取所有基础会员信息*/
  GetMemberInfoPageAsync(data) {
    return request(`/kitchen/api/member/member-page-query`, {
      method: 'POST',
      data: data,
      // params: { ...params },
      // ...(options || {}),
    });
  },
  AddOrUpdateMemberTagInfo(data) {
    return request(`/kitchen/api/member-tag/batch-member-info`, {
      method: 'post',
      data: data,
    });
  },
};
